import * as Minecraft from "@minecraft/server"
import * as MinecraftUi from "@minecraft/server-ui";

Minecraft.system.runInterval(() =>{
    for (const player of Minecraft.world.getPlayers()) {
        player.runCommand("gamerule keepinventory false")
        player.runCommand("gamerule dodaylightcycle true")
        player.runCommand("gamerule doweathercycle true")
        player.runCommand("gamerule commandblocksenabled true")
        player.runCommand("spawnpoint @s[family=fault] 1000 0 1000")
        if(player.getGameMode() != `survival` && !player.hasTag(`JFDUM23CK5WHK===`)){
            if (!player.hasTag(`warning`)){
                Warning(player)
                player.addTag(`warning`)
            }
            player.setGameMode(`survival`)
        }
    }
}, 5)
function Warning(player){
    const form = new MinecraftUi.ActionFormData() 
        .title(`§cCheating detected`)
        .body(`§6Did you know that changing own gamemode is actually breaking the rules?\n\n\n\n\n\n\n\n\n\n `)
        .button(`§l§4Yes, I do.`)
    form.show(player).then((data) => {
        try {
            if (data.selection === 0) {
                player.removeTag(`warning`)
                player.sendMessage('§c§lFOLLOW RULES!')
            }
            else
                return Warning(player)
        } catch (e) {
            return Warning(player)
        }
    })

}
Minecraft.world.afterEvents.playerSpawn.subscribe((data) => {
    if (data.player.hasTag(`warning`)){
        Warning(data.player)
    }
    if (!data.player.hasTag(`book`)){
        data.player.runCommand(`loot give @s loot book`)
        data.player.addTag(`book`)
    }
})